//
//  WordMacAssistant.swift
//  masterkey
//
//  Created by Ian Kohl on 4/17/19.
//  Copyright © 2019 One Sky IT. All rights reserved.
//

import Foundation

class WordMacAssistant: ApplicationAssistant {
    override init() {
        super.init()
        
        mirrored = true
        
        shouldUnmirror = false
        
        delay = 3
        
        applicationName = "Microsoft Word"
        
        applicationPath = "/Applications/Microsoft Word.app"
        
        bundleID = "com.microsoft.Word"
        
        scriptString = """
        var word = Application('Microsoft Word')
        
        var app = Application.currentApplication()
        app.includeStandardAdditions = true
        
        delay(1)
        word.activate()
        
        var se = Application('System Events')
        se.keyCode(53, { using: 'command down' })
        delay (2)
        word.activate()
        """
    }
}
